Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
pawuta

Nhờ Sửa Lisp Matchprop Text Attribute

Các bài được khuyến nghị

pawuta    12

Nhờ ae sửa giúp Lisp sau, là khi chọn đối tượng text gốc nó không tự đổi màu mà chỉ sáng (giống select) thôi. Cảm ơn ae!

(defun c:MAT (/ wh txtstring color dt2-1 DT2 txtinput EN)

  (SETQ CMD (GETVAR "CMDECHO"))
  (SETQ OSM (GETVAR "OSMODE"))
  (vl-load-com)
  (SETQ	OLDERR	*error*
	*error*	myerror_cnn
  )
  (setq wh t)
  (Princ
    " Copy and put textstring, working with attribute (even Block, Dim or Exref)."
  )
  (if (setq ThuR_CNN-TxtSave
	     (nentsel
	       "\nSelect TEXT object to get textstring <or Enter>:"
	     )
      )
    (progn
      (setq ThuR_CNN-TxtSave
	     (vlax-ename->vla-object (car ThuR_CNN-TxtSave))
      )
      (setq txtstring (vla-get-textstring ThuR_CNN-TxtSave))
      (setq color 1)
      (if
	(= (setq Thur_CNN-ColorSave (vla-get-color ThuR_CNN-TxtSave))
	   1
	)
	 (setq color 2)
      )
      (vla-put-color ThuR_CNN-TxtSave color)
      (while (or (/= dt2 nil) (/= wh nil))
	(if
	  (setq
	    dt2	(nentsel " \nSelect text object to put textstring:")
	  )
	   (progn (setq dt2 (vlax-ename->vla-object (car dt2)))
		  (vla-put-textstring dt2 txtstring)
	   )
	   (vla-put-color ThuR_CNN-TxtSave ThuR_CNN-ColorSave)
	)
	(setq wh nil)
      )
    )
    (progn
      (setq ThuR_CNN-TxtSave nil)
      (setq
	utility	(vla-get-utility
		  (vla-get-activedocument (vlax-get-acad-object))
		)
      )
      (if (setq
	    txtinput
	     (vla-getstring utility 1 "\nEnter the textstring:")
	  )
	(progn
	  (if (= txtinput "")
	    (princ "\n        Warring: An empty textstring.")
	  )
	  (while (or (/= dt2-1 nil) (/= wh nil))
	    (setq wh nil)
	    (if	(setq
		  dt2-1	(nentsel
			  " \nSelect text object to put textstring :"
			)
		)
	      (progn
		(SETQ EN (CAR DT2-1))
		(setq dt2 (vlax-ename->vla-object (car dt2-1)))
		(if (= txtinput "")
		  (princ "\n          Warring: An empty textstring.")
		)
		(vla-put-textstring dt2 txtinput)
	      )
	    )
	  )
	)
      )					;if2
    )
  )					;if
  (setvar "cmdecho" CMD)		; Restore saved modes
  (setvar "osmode" OSM)
  (setq *error* OLDERR)
  (princ)				; Restore old *error* handler	  
  (princ)
)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×